---
title: 39 Pieces of Unsolicited Advice
---

For my 39th birthday (later this week), here are 39 pieces of unsolicited advice. These are offered freely, without warranty of suitability or fitness for any purpose. Should you choose to follow this advice, you do some entirely at your own risk and you agree to indemnify The Poster. May contain substances known to cause cancer in the State of California.

Should you find yourself disagreeing so strongly that you wish to give The Poster feedback, you can email it [here](mailto:null@example.org).

1. The last thing anyone wants is advice from a 39 year old man.
2. You are an animal. Animals need food, water, sunlight, rest, and sex, in varying quantities. If you feel like shit, you probably aren't getting the right amount of one of these things.
3. The things that actually make you happy aren't the things you think. Research shows that money and accomplishments don't impact happiness much long term. However, helping other people, savoring experiences, and mindfulness do help.
4. Keep a list of things you _don't_ buy and why. Refer back to it. This will stop you from making an impulse purchase in a weak moment.
5. Before making a major purchase, find the manual online and read it.
6. Sometimes, you need to do nothing.
7. Sometimes, you need to lay on the floor.
8. Save your best energy for yourself. If you have a most productive time of day, the things you care most about (probably family, friends, cherished hobbies, and personal goals) should get that time. Work can get what's left.
9. Use of the phrase “be realistic” took off in the 1920s and peaked in the 1970s. My theory is that it proliferated in response to “idealistic” revolutions and movements around the world.
10. Cut yourself a little slack.
11. Do something nice for yourself every day.
12. Mind like water. A stone thrown into a lake causes it to ripple, but then it settles. It doesn't churn forever. A disappointment or anxiety must not disturb your mind beyond a little ripple. Settle.
13. Stop worrying about being “scammed” for small amounts of money by people in need. How you treat _them_ says something about _you_. How they treat _you_ says something about _them_. I’d rather be a good person who sometimes gets scammed for a fiver than a bad person who never is.
14. It's ok to go through phases. Put down hobbies. Change jobs because of boredom. Abandon a project. Stop reading a book half way.
15. Never trust a feeling you have before sunrise, on an empty stomach, or after dinner on Sunday.
16. Don’t worry about criticism from anyone from whom you wouldn’t accept advice.
17. Before saying "yes" to any new endeavour, visualize your ideal life. Is this new initiative part of that ideal life? Is it at least a step in the right direction?
18. Related: learn to politely say no, and use this skill often.
19. Also related: be careful about who you let fuck up your life for not that much money.
20. A team with consistent and quality processes will beat a team with lots of processes, every time.
21. Homework is for school children. Stop reading, watching, and listening to things that you don't like out of a sense of obligation.
22. There’s no difference between a team that always starts meetings five minutes early  and one that always starts meetings five minutes late. They are mathematically equivalent. To say otherwise is just Puritanism.
23. Be skeptical of any estimated timeline that ends on a Friday afternoon. The person giving that estimate is not being very rigorous, and they just snapped to a mental grid.
24. On the flip side: never promise delivery on a Friday afternoon, because when you miss, there's only your weekend between that and Monday more. If a Wednesday deliverable slips, at least it only fucks up your Thursday.
25. The person who _does_ the chore gets to decide how the chore is _done_. If you care enough about a chore to complain if it isn't done your way, then you should step up and do it.
26. Don't put it down, put it away.
27. Leave things better than you found them.
28. If you don't schedule time for maintenance, your equipment will schedule it for you.
29. You can get 1-3 things done in a day, no matter how organized you are and no matter how many hours you work.
30. Priority was, until recently, a singular noun. One had a priority. Things, especially not multiple things,  were not medium-priority.
31. If something is worth doing, it is worth receiving your full attention. If it isn't worth your full attention, it probably isn't worth doing.
32. The right number of times to practice a presentation is enough times that it goes from scary to boring, then 2-3 more.
33. Programmers: use a debugger. Yes, you. Yes, now.
34. [Developers Spend Most of Their Time Figuring the System Out.](https://lepiter.io/feenk/developers-spend-most-of-their-time-figuri-9q25taswlbzjc5rsufndeu0py/)
35. There is a difference between navigating and sitting in the backseat shouting "Are we there yet?" Status reports make things go more slowly, not more quickly. Managers ask for status reports because they are impotent and unable to actually do the work.
36. When mingling with strangers at a social event, when they ask "what do you do?", you should give an interesting, but low-status answer. The social climbers who excuse themselves quickly are not worth knowing.
37. They have shampoo, soap, razors, etc where you are going. Pack so that you have what you expect to need, not for all eventualities. If you find you need something, they probably have a store at your destination where you can get it. NBD. I once went on a business trip having forgotten to pack pants. It was fine. It turns out that they have stores that sell pants in Virginia too.
38. The trick to giving up a bad habit is to give yourself pleasurable alternatives. I stopped drinking nearly as much once I started buying delicious fancy seltzers and canned mocktails and carrying them with me.
39. Much to their chagrin, the crossfit people are going to die just like the rest of us.
